--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Calculate how wide a given text string will be on a page, at a given size. If <tt>size</tt> is not specified, PDF::Writer will use the current #font_size. The difference between this method and #text_line_width is that this method will iterate over lines separated with newline characters."
- !ruby/struct:SM::Flow::P 
  body: The argument list is reversed from earlier versions.
full_name: PDF::Writer#text_width
is_singleton: false
name: text_width
params: (text, size = nil)
visibility: public
